/*AIS 2017*/
/*based off of the android native app skeleton code*/

package com.ais.nativeapitest;

import android.os.Bundle;
import android.widget.TextView;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;

public class MainActivity extends AppCompatActivity {


    static {
        System.loadLibrary("native-lib");
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);


        TextView tv = (TextView) findViewById(R.id.sample_text);


        tv.setText( "IMEI: " + nativeFunction(getApplicationContext().getPackageName()));
    }


    public native String nativeFunction(String packageName);
}
