#include <jni.h>
#include <string>

extern "C"
JNIEXPORT jstring JNICALL
Java_com_ais_nativeapitest_MainActivity_nativeFunction(JNIEnv *env, jobject, jstring packageName) {


    jstring devid;

    do {


        jclass cls = env->FindClass("android/os/ServiceManager");


        jclass cls2 = env->FindClass("com/android/internal/telephony/IPhoneSubInfo$Stub");

        jmethodID mid = env->GetStaticMethodID(cls, "getService", "(Ljava/lang/String;)Landroid/os/IBinder;");

        jobject binderobj = env->CallStaticObjectMethod(cls, mid, env->NewStringUTF("iphonesubinfo"));

        jmethodID mid2 = env->GetStaticMethodID(cls2, "asInterface", "(Landroid/os/IBinder;)Lcom/android/internal/telephony/IPhoneSubInfo;");

        jobject phoneinfo = env->CallStaticObjectMethod(cls2, mid2, binderobj);

        jclass infocls = env->GetObjectClass(phoneinfo);


        jmethodID mid3 = env->GetMethodID(infocls, "getDeviceId", "(Ljava/lang/String;)Ljava/lang/String;");

        printf("1");
        if(env->ExceptionCheck()){
            env->ExceptionClear();
            jmethodID mid3 = env->GetMethodID(infocls, "getDeviceId", "()Ljava/lang/String;");
            devid = (jstring) env->CallObjectMethod(phoneinfo, mid3);
            printf("here");
            break;
        }

        devid = (jstring) env->CallObjectMethod(phoneinfo, mid3, packageName);


    } while(0);

    if(env->ExceptionCheck()){
        env->ExceptionClear();
    }

    return devid;

}
